#ifndef FILELIST_H
#define FILELIST_H

#include <QTableWidget>
#include <QDropEvent>
#include <QDragEnterEvent>
#include <QDragMoveEvent>
#include <QString>
#include <QStringList>

class FileList : public QTableWidget
{
    Q_OBJECT
public:
    explicit FileList(QWidget *parent = 0);
    void dragEnterEvent(QDragEnterEvent *event);
    void dragMoveEvent(QDragMoveEvent *event);
    void dropEvent(QDropEvent *event);

signals:
    void openFiles(const QStringList& files);
public slots:

};

#endif // FILELIST_H
